Bug 55623 - Invalid/unexpected configuration values should not be silently ignored
Invalid/unexpected configuration values should not be silently ignored
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.9
PC All
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-10-03 16:51 UTC by Sai Zhang
Modified: 2014-03-23 14:11 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sai Zhang 2013-10-03 16:51:16 UTC
Hi all,

I was using JMeter for a while, but found JMeter does not handle misconfiguration well in many cases.

Specifically, when users provide a wrong configuration option and JMeter produces a wrong result (or crashes), JMeter should explicitly dump error message pointing to the mis-configured option, rather than failing silently, or dumping stack traces, or simply restoring to the default behavior.

I have found many places in JMeter which can be improved, to give users better experience.

As a very simple example, JMeter permits users to specify the output file format via: "jmeter.save.saveservice.output_format"   option (the legal values can be "xml" or "csv").

However, if a careless user types "jmeter.save.saveservice.output_format = xxxml" or other unsupported file format, JMeter will automatically restore to using "CSV" format without notifying users that they provide a wrong configuration option value. This occurs to me a few times, and makes me really confused.

I believe such places should be further improved to make JMeter more user-friendly.

I found a couple of such places. and wondering whether JMeter developers would like to know them, and how do you think about such "mis-handling"?

Thanks

-Sai
Comment 1 Sebb 2013-10-04 14:11:43 UTC
If there are other configuration items where you consider JMeter does not handle invalid/unexpected input gracefully, please document them in Bugzilla.

We cannot promise to fix them all, but they will be considered and fixed as appropriate.

Note that it may not always be possible to change the behaviour as it could affect existing installations. In such cases however, a warning (or error) message can be logged.
Comment 2 Sebb 2013-10-04 14:43:42 UTC
URL: http://svn.apache.org/r1529171
Log:
Invalid/unexpected configuration values should not be silently ignored
Log warning for jmeter.save.saveservice.output_format
Bugzilla Id: 55623

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/samplers/SampleSaveConfiguration.java
    jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2014-03-23 14:11:58 UTC
Date: Sun Mar 23 14:10:47 2014
New Revision: 1580502

URL: http://svn.apache.org/r1580502
Log:
Bug 55623 - Invalid/unexpected configuration values should not be silently ignored
Bugzilla Id: 55623

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/util/JMeterUtils.java